View Issue Details

IDProjectCategoryView StatusLast Update
0005005Kali Linux[All Projects] Tool Upgradepublic2019-04-08 12:37
ReporterAl3xGAssigned Tosbrun 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0005005: [Debian Package] Onesixtyone bug fixed on latest version
DescriptionHi all,
The version of Onesixtyone provided by Kali (0.3.2) is quite old and affected by a very annoying bug with community strings longer than 16 chars.
The new version provided here: https://github.com/trailofbits/onesixtyone (0.7) doesn't have that problem.
Hope this gets updated, I know is a pretty old tool but still pretty useful in some engagements.
Thanks.

Relationships

related to 0004736 assignedg0tmi1k [Debian Package] Update Usage Examples of onesixtyone 

Activities

rhertzog

2018-09-21 08:46

administrator   ~0009757

This package is not maintained by Kali. I forwarded this request to Debian: https://bugs.debian.org/909298

Where did you see version 0.7 ? There are not tagged releases on the GitHub page and even the version embedded in the C file says 0.3.3.

Al3xG

2018-09-21 12:07

reporter   ~0009758

Sorry there seems to be various updated versions around. v0.7 is here: https://labs.portcullis.co.uk/tools/onesixtyone/

Didn't try the version hosted in that github repo.

g0tmi1k

2018-09-21 12:09

administrator   ~0009759

Looks like https://labs.portcullis.co.uk/tools/onesixtyone/ is a fork of the project

```
An enhanced version of Solar Eclipse’s SNMP Community string guessing tool.

This is an updated version of Solar Eclipse’s SNMP bruteforcing tool.
```

rhertzog

2018-09-21 12:32

administrator   ~0009760

Can you try out the version in the GitHub git repository and let us know if it also fixes the "annoying issue" that you are reporting in this ticket?

rhertzog

2019-03-29 09:49

administrator   ~0010448

I think we should keep the version from the github repository, it seems to be maintained. The version on portcullis.co.uk doesn't seem maintained any longer.

But we should ask the maintainer of the github repository to actually tag releases so that we can follow updates this way.

Given the lack of answer on our Debian bug, we should likely also take over the package in the pkg-security team.

sbrun

2019-04-02 13:11

manager   ~0010473

upstream issue to ask a new tagged release: https://github.com/trailofbits/onesixtyone/issues/17

sbrun

2019-04-02 13:12

manager   ~0010474

in github version I think community strings are limited to 32 chars.

sbrun

2019-04-08 12:37

manager   ~0010486

new version 0.3.3~git20190328-1 is now in kali-dev.

Issue History

Date Modified Username Field Change
2018-09-20 14:13 Al3xG New Issue
2018-09-21 08:46 rhertzog Status new => acknowledged
2018-09-21 08:46 rhertzog Note Added: 0009757
2018-09-21 10:27 g0tmi1k Category Kali Package Bug => Tool Upgrade
2018-09-21 10:28 g0tmi1k Summary Onesixtyone bug fixed on latest version => [Debian Package] Onesixtyone bug fixed on latest version
2018-09-21 10:29 g0tmi1k Relationship added related to 0004736
2018-09-21 12:07 Al3xG Note Added: 0009758
2018-09-21 12:09 g0tmi1k Note Added: 0009759
2018-09-21 12:32 rhertzog Note Added: 0009760
2019-03-29 07:51 rhertzog Assigned To => sbrun
2019-03-29 07:51 rhertzog Status acknowledged => assigned
2019-03-29 09:49 rhertzog Note Added: 0010448
2019-04-02 13:11 sbrun Note Added: 0010473
2019-04-02 13:12 sbrun Note Added: 0010474
2019-04-08 12:37 sbrun Status assigned => resolved
2019-04-08 12:37 sbrun Resolution open => fixed
2019-04-08 12:37 sbrun Note Added: 0010486